SpatialIndex.MemoryIndex (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.shape
Class SpatialIndex.MemoryIndex

    java.lang.Object
      com.bbn.openmap.layer.shape.SpatialIndex.MemoryIndex

Enclosing class:
  SpatialIndex

    public static class SpatialIndex.MemoryIndex

extends java.lang.Object

Constructor Summary
`protected` | `SpatialIndex.MemoryIndex()`

Method Summary
`static java.util.List<SpatialIndex.Entry>` | `create(java.lang.String shpFile)`
`java.util.List<SpatialIndex.Entry>` | `createIndex(java.lang.String inFile)` Creates a spatial index for a shape file.
`protected void` | `indexNulls(java.io.InputStream is, long ptr, java.util.List<SpatialIndex.Entry> entries)` Writes the spatial index for a null shape file.
`protected void` | `indexPoints(java.io.InputStream is, long ptr, java.util.List<SpatialIndex.Entry> entries)` Writes the spatial index for a point shape file.
`protected void` | `indexPolygons(java.io.InputStream is, long ptr, java.util.List<SpatialIndex.Entry> entries)` Writes the spatial index for a polygon shape file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialIndex.MemoryIndex

    protected SpatialIndex.MemoryIndex()

Method Detail

### create

    public static java.util.List<SpatialIndex.Entry> create(java.lang.String shpFile)

### indexPolygons

    protected void indexPolygons(java.io.InputStream is,
                                 long ptr,
                                 java.util.List<SpatialIndex.Entry> entries)

  Writes the spatial index for a polygon shape file.

  Parameters:
    `is` - the shape file input stream
    `ptr` - the current position in the file
    `entries` - a List of Entries to add to

### indexPoints

    protected void indexPoints(java.io.InputStream is,
                               long ptr,
                               java.util.List<SpatialIndex.Entry> entries)

  Writes the spatial index for a point shape file.

  Parameters:
    `is` - the shape file input stream
    `ptr` - the current position in the file
    `entries` - a List of Entries to add to

### indexNulls

    protected void indexNulls(java.io.InputStream is,
                              long ptr,
                              java.util.List<SpatialIndex.Entry> entries)

  Writes the spatial index for a null shape file.

  Parameters:
    `is` - the shape file input stream
    `ptr` - the current position in the file
    `entries` - a List of Entries to add to

### createIndex

    public java.util.List<SpatialIndex.Entry> createIndex(java.lang.String inFile)

  Creates a spatial index for a shape file. Reads the records from the shape file, writing appropriate index records to the spatial index file.

  Parameters:
    `inFile` - the shape file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details